import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JButton;


/**
 * The oval button; causes ovals or circles to be drawn on the canvas 
 *
 * @author Annmarie Stanley and Hannah Chadd.
 *         Created Apr 4, 2008.
 */
public class ovalButton extends JButton implements MouseListener, ActionListener{
	
	/** Creates an oval button */
	@SuppressWarnings("deprecation")
	public ovalButton() {
		super();
		this.setLabel("Oval/Circle");
		
		
	}

	public void mouseClicked(MouseEvent arg0) {

		CanvasPanel.changeButton(1);
	}

	public void mouseEntered(MouseEvent e) {
		// Empty
		
	}

	public void mouseExited(MouseEvent e) {
		// Empty
		
	}

	public void mousePressed(MouseEvent e) {
		// Empty
		
	}

	public void mouseReleased(MouseEvent e) {
		// Empty
		
	}

	public void actionPerformed(ActionEvent e) {
		// Empty
		
	}

}
